/*
 * Copyright 2018-present Open Networking Foundation
 * Copyright © 2020 camunda services GmbH (info@camunda.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package io.atomix.utils.concurrent;

import java.util.concurrent.ScheduledExecutorService;

/** Blocking aware thread pool context. */
public class BlockingAwareThreadPoolContext extends ThreadPoolContext {
  public BlockingAwareThreadPoolContext(final ScheduledExecutorService parent) {
    super(parent);
  }

  @Override
  public void execute(final Runnable command) {
    if (isBlocked()) {
      parent.execute(command);
    } else {
      super.execute(command);
    }
  }
}
